| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::GLES2StateCacheManager Class Reference

`#include <OgreGLES2StateCacheManager.h>`

Inheritance diagram for Ogre::GLES2StateCacheManager:
[legend]

## Public Member Functions
| GLES2StateCacheManager (void)
bool | activateGLTextureUnit (unsigned char unit)
| Activate an OpenGL texture unit. More...
void | bindGLBuffer (GLenum target, GLuint buffer, bool force=false)
| Bind an OpenGL buffer of any type. More...
void | bindGLTexture (GLenum target, GLuint texture)
| Bind an OpenGL texture of any type. More...
void | bindGLVertexArray (GLuint vao)
| Bind an OpenGL Vertex array object. More...
void | clearCache ()
| Clears all cached values. More...
void | deleteGLBuffer (GLenum target, GLuint buffer)
| Delete an OpenGL buffer of any type. More...
uchar * | getColourMask ()
| Gets the current colour mask setting. More...
uchar | getDepthMask () const
| Gets the current depth mask setting. More...
uint32 | getStencilMask (void) const
| Gets the current stencil mask. More...
void | getViewport (int *array)
void | initializeCache ()
| Initialize our cache variables and sets the GL states on the current context. More...
void | invalidateStateForTexture (GLuint texture)
| Invalidates the state associated with a particular texture ID. More...
void | setBlendEquation (GLenum eq)
| Sets the current blend equation setting. More...
void | setBlendEquation (GLenum eqRGB, GLenum eqA)
| Set the blend equation for RGB and alpha separately. More...
void | setBlendFunc (GLenum source, GLenum dest)
| Sets the blending function. More...
void | setClearColour (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
| Sets the color to clear to. More...
void | setClearDepth (GLclampf depth)
| Sets the clear depth in the range from [0..1]. More...
void | setColourMask (GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
| Sets the current colour mask. More...
void | setCullFace (GLenum face)
| Sets the face culling setting. More...
void | setDepthFunc (GLenum func)
| Sets the current depth test function. More...
void | setDepthMask (GLboolean mask)
| Sets the current depth mask setting. More...
void | setDisabled (GLenum flag)
| Disables a piece of OpenGL functionality. More...
void | setEnabled (GLenum flag)
| Enables a piece of OpenGL functionality. More...
void | setStencilMask (GLuint mask)
| Sets the stencil mask. More...
void | setTexParameterf (GLenum target, GLenum pname, GLfloat param)
| Sets a float parameter value per texture target. More...
void | setTexParameteri (GLenum target, GLenum pname, GLint param)
| Sets an integer parameter value per texture target. More...
void | setViewport (GLint x, GLint y, GLsizei width, GLsizei height)

## Constructor & Destructor Documentation

## ◆ GLES2StateCacheManager()

Ogre::GLES2StateCacheManager::GLES2StateCacheManager | ( | void |  | ) |

## Member Function Documentation

## ◆ initializeCache()

void Ogre::GLES2StateCacheManager::initializeCache | ( |  | ) |

Initialize our cache variables and sets the GL states on the current context.

## ◆ clearCache()

void Ogre::GLES2StateCacheManager::clearCache | ( |  | ) |

Clears all cached values.

## ◆ bindGLBuffer()

void Ogre::GLES2StateCacheManager::bindGLBuffer | ( | GLenum | target,
|  | GLuint | buffer,
|  | bool | force = `false`
| ) |  |

Bind an OpenGL buffer of any type.

Parameters

  target | The buffer target.
  buffer | The buffer ID.
  force | Optional parameter to force an update.

## ◆ deleteGLBuffer()

void Ogre::GLES2StateCacheManager::deleteGLBuffer | ( | GLenum | target,
|  | GLuint | buffer
| ) |  |

Delete an OpenGL buffer of any type.

Parameters

  target | The buffer target.
  buffer | The buffer ID.

## ◆ bindGLVertexArray()

void Ogre::GLES2StateCacheManager::bindGLVertexArray | ( | GLuint | vao | ) |

Bind an OpenGL Vertex array object.

Parameters

  vao | The vertex array object ID.

## ◆ bindGLTexture()

void Ogre::GLES2StateCacheManager::bindGLTexture | ( | GLenum | target,
|  | GLuint | texture
| ) |  |

Bind an OpenGL texture of any type.

Parameters

  target | The texture target.
  texture | The texture ID.

## ◆ invalidateStateForTexture()

void Ogre::GLES2StateCacheManager::invalidateStateForTexture | ( | GLuint | texture | ) |

Invalidates the state associated with a particular texture ID.

Parameters

  texture | The texture ID.

## ◆ setTexParameteri()

void Ogre::GLES2StateCacheManager::setTexParameteri | ( | GLenum | target,
|  | GLenum | pname,
|  | GLint | param
| ) |  |

Sets an integer parameter value per texture target.

Parameters

  target | The texture target.
  pname | The parameter name.
  param | The parameter value.

## ◆ setTexParameterf()

void Ogre::GLES2StateCacheManager::setTexParameterf | ( | GLenum | target,
|  | GLenum | pname,
|  | GLfloat | param
| ) |  |

Sets a float parameter value per texture target.

Parameters

  target | The texture target.
  pname | The parameter name.
  param | The parameter value.

## ◆ activateGLTextureUnit()

bool Ogre::GLES2StateCacheManager::activateGLTextureUnit | ( | unsigned char | unit | ) |

Activate an OpenGL texture unit.

Parameters

  unit | The texture unit to activate.

Returns
  Whether or not the texture unit was successfully activated.

## ◆ setBlendEquation() [1/2]

void Ogre::GLES2StateCacheManager::setBlendEquation | ( | GLenum | eq | ) |

Sets the current blend equation setting.

Parameters

  eq | The blend equation to use.

## ◆ setBlendEquation() [2/2]

void Ogre::GLES2StateCacheManager::setBlendEquation | ( | GLenum | eqRGB,
|  | GLenum | eqA
| ) |  |

Set the blend equation for RGB and alpha separately.

## ◆ setBlendFunc()

void Ogre::GLES2StateCacheManager::setBlendFunc | ( | GLenum | source,
|  | GLenum | dest
| ) |  |

Sets the blending function.

Parameters

  source | The blend mode for the source.
  dest | The blend mode for the destination

## ◆ setDepthMask()

void Ogre::GLES2StateCacheManager::setDepthMask | ( | GLboolean | mask | ) |

Sets the current depth mask setting.

Parameters

  mask | The depth mask to use.

## ◆ setDepthFunc()

void Ogre::GLES2StateCacheManager::setDepthFunc | ( | GLenum | func | ) |

Sets the current depth test function.

Parameters

  func | The depth test function to use.

## ◆ setClearDepth()

void Ogre::GLES2StateCacheManager::setClearDepth | ( | GLclampf | depth | ) |

Sets the clear depth in the range from [0..1].

Parameters

  depth | The clear depth to use.

## ◆ setClearColour()

void Ogre::GLES2StateCacheManager::setClearColour | ( | GLclampf | red,
|  | GLclampf | green,
|  | GLclampf | blue,
|  | GLclampf | alpha
| ) |  |

Sets the color to clear to.

Parameters

  red | The red component.
  green | The green component.
  blue | The blue component.
  alpha | The alpha component.

## ◆ setColourMask()

void Ogre::GLES2StateCacheManager::setColourMask | ( | GLboolean | red,
|  | GLboolean | green,
|  | GLboolean | blue,
|  | GLboolean | alpha
| ) |  |

Sets the current colour mask.

Parameters

  red | The red component.
  green | The green component.
  blue | The blue component.
  alpha | The alpha component.

## ◆ setStencilMask()

void Ogre::GLES2StateCacheManager::setStencilMask | ( | GLuint | mask | ) |

Sets the stencil mask.

Parameters

  mask | The stencil mask to use

## ◆ setEnabled()

void Ogre::GLES2StateCacheManager::setEnabled | ( | GLenum | flag | ) |

Enables a piece of OpenGL functionality.

Parameters

  flag | The function to enable.

## ◆ setDisabled()

void Ogre::GLES2StateCacheManager::setDisabled | ( | GLenum | flag | ) |

Disables a piece of OpenGL functionality.

Parameters

  flag | The function to disable.

## ◆ setCullFace()

void Ogre::GLES2StateCacheManager::setCullFace | ( | GLenum | face | ) |

Sets the face culling setting.

Parameters

  face | The face culling mode to use.

## ◆ setViewport()

void Ogre::GLES2StateCacheManager::setViewport | ( | GLint | x,
|  | GLint | y,
|  | GLsizei | width,
|  | GLsizei | height
| ) |  |

## ◆ getViewport()

void Ogre::GLStateCacheManagerCommon::getViewport | ( | int * | array | ) |
| inline inherited

## ◆ getColourMask()

uchar* Ogre::GLStateCacheManagerCommon::getColourMask | ( |  | ) |
| inline inherited

Gets the current colour mask setting.

Returns
  An array containing the mask in RGBA order.

## ◆ getDepthMask()

uchar Ogre::GLStateCacheManagerCommon::getDepthMask | ( |  | ) | const
| inline inherited

Gets the current depth mask setting.

Returns
  The current depth mask.

## ◆ getStencilMask()

uint32 Ogre::GLStateCacheManagerCommon::getStencilMask | ( | void |  | ) | const
| inline inherited

Gets the current stencil mask.

Returns
  The stencil mask.

The documentation for this class was generated from the following file:

- OgreGLES2StateCacheManager.h